Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ejb.report
Class ReportGeneratorImpl

    java.lang.Object
      com.sun.mdm.index.ejb.report.ReportGeneratorImpl

All Implemented Interfaces:
  ReportGenerator

class ReportGeneratorImpl
extends java.lang.Object
implements ReportGenerator

Constructor Summary
`ReportGeneratorImpl()` Creates a new instance of ReportGeneratorImpl
`ReportGeneratorImpl(MasterController master)` Creates a new instance of ReportGeneratorImpl

Method Summary
`AssumedMatchReport` | `execAssumedMatchReport(AssumedMatchReportConfig config)` Execute the assumed match report
`AssumedMatchIterator` | `execAssumedMatchReportIterator(AssumedMatchReportConfig config)` Execute the assumed match report
`DeactivateReport` | `execDeactivateReport(DeactivateReportConfig config)` Execute the deactivate report
`MergeReport` | `execMergeReport(MergeReportConfig config)` Execute the merge report
`KeyStatisticsReport` | `execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the monthly key statistics report
`PotentialDuplicateReport` | `execPotentialDuplicateReport(PotentialDuplicateReportConfig config)` Execute the potential duplicate report
`PotentialDuplicateIterator` | `execPotentialDuplicateReportIterator(PotentialDuplicateReportConfig config)` Execute the potential duplicate report
`UnmergeReport` | `execUnmergeReport(UnmergeReportConfig config)` Execute the unmerge report
`UpdateReport` | `execUpdateReport(UpdateReportConfig config)` Execute the update report
`TransactionIterator` | `execUpdateReportIterator(UpdateReportConfig config)` Execute the update report
`KeyStatisticsReport` | `execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the weekly key statistics report
`KeyStatisticsReport` | `execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the yearly key statistics report

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportGeneratorImpl

    public ReportGeneratorImpl()

  Creates a new instance of ReportGeneratorImpl

### ReportGeneratorImpl

    public ReportGeneratorImpl(MasterController master)

  Creates a new instance of ReportGeneratorImpl

  Parameters:
    `master` - MasterController

Method Detail

### execAssumedMatchReport

    public AssumedMatchReport execAssumedMatchReport(AssumedMatchReportConfig config)
                                              throws ReportException

  Execute the assumed match report

  Specified by:
    `execAssumedMatchReport` in interface `ReportGenerator`
  Parameters:
    `config` - Assumed Match Report Configuration
  Returns:
    assumed match report
  Throws:
    `ReportException` - an error occured

### execAssumedMatchReportIterator

    public AssumedMatchIterator execAssumedMatchReportIterator(AssumedMatchReportConfig config)
                                                        throws ReportException

  Execute the assumed match report

  Specified by:
    `execAssumedMatchReportIterator` in interface `ReportGenerator`
  Parameters:
    `config` - Assumed Match Report Configuration
  Returns:
    assumed match iterator
  Throws:
    `ReportException` - an error occured

### execDeactivateReport

    public DeactivateReport execDeactivateReport(DeactivateReportConfig config)
                                          throws ReportException

  Execute the deactivate report

  Specified by:
    `execDeactivateReport` in interface `ReportGenerator`
  Parameters:
    `config` - Deactivate Report Configuration
  Returns:
    deactivate report
  Throws:
    `ReportException` - an error occured

### execMergeReport

    public MergeReport execMergeReport(MergeReportConfig config)
                                throws ReportException

  Execute the merge report

  Specified by:
    `execMergeReport` in interface `ReportGenerator`
  Parameters:
    `config` - Merge Report Configuration
  Returns:
    merge report
  Throws:
    `ReportException` - an error occured

### execMonthlyKeyStatisticsReport

    public KeyStatisticsReport execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                       throws ReportException

  Execute the monthly key statistics report

  Specified by:
    `execMonthlyKeyStatisticsReport` in interface `ReportGenerator`
  Parameters:
    `config` - Key Statistics Report Configuration
  Returns:
    Monthly key statistics report
  Throws:
    `ReportException` - an error occured

### execPotentialDuplicateReport

    public PotentialDuplicateReport execPotentialDuplicateReport(PotentialDuplicateReportConfig config)
                                                          throws ReportException

  Execute the potential duplicate report

  Specified by:
    `execPotentialDuplicateReport` in interface `ReportGenerator`
  Parameters:
    `config` - Potential Duplicate Report Configuration
  Returns:
    potential duplicate report
  Throws:
    `ReportException` - an error occured

### execPotentialDuplicateReportIterator

    public PotentialDuplicateIterator execPotentialDuplicateReportIterator(PotentialDuplicateReportConfig config)
                                                                    throws ReportException

  Execute the potential duplicate report

  Specified by:
    `execPotentialDuplicateReportIterator` in interface `ReportGenerator`
  Parameters:
    `config` - Potential Duplicate Report Configuration
  Returns:
    potential duplicate iterator
  Throws:
    `ReportException` - an error occured

### execUnmergeReport

    public UnmergeReport execUnmergeReport(UnmergeReportConfig config)
                                    throws ReportException

  Execute the unmerge report

  Specified by:
    `execUnmergeReport` in interface `ReportGenerator`
  Parameters:
    `config` - Unmerge Report Configuration
  Returns:
    unmerge report
  Throws:
    `ReportException` - an error occured

### execUpdateReport

    public UpdateReport execUpdateReport(UpdateReportConfig config)
                                  throws ReportException

  Execute the update report

  Specified by:
    `execUpdateReport` in interface `ReportGenerator`
  Parameters:
    `config` - Update Report Configuration
  Returns:
    update report
  Throws:
    `ReportException` - an error occured

### execUpdateReportIterator

    public TransactionIterator execUpdateReportIterator(UpdateReportConfig config)
                                                 throws ReportException

  Execute the update report

  Specified by:
    `execUpdateReportIterator` in interface `ReportGenerator`
  Parameters:
    `config` - Update Report Configuration
  Returns:
    Update Report Iterator
  Throws:
    `ReportException` - an error occured

### execWeeklyKeyStatisticsReport

    public KeyStatisticsReport execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                      throws ReportException

  Execute the weekly key statistics report

  Specified by:
    `execWeeklyKeyStatisticsReport` in interface `ReportGenerator`
  Parameters:
    `config` - Key Statistics Report Configuration
  Returns:
    Weekly key statistics report
  Throws:
    `ReportException` - an error occured

### execYearlyKeyStatisticsReport

    public KeyStatisticsReport execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                      throws ReportException

  Execute the yearly key statistics report

  Specified by:
    `execYearlyKeyStatisticsReport` in interface `ReportGenerator`
  Parameters:
    `config` - Key Statistics Report Configuration
  Returns:
    Yearly key statistics report
  Throws:
    `ReportException` - an error occured

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.